<?php

/*
* statuses_paid
*/
function fn_settings_variants_addons_sw_bifit_online_statuses_paid()
{
    return fn_get_simple_statuses(STATUSES_ORDER);
}

/*
* statuses_refund
*/
function fn_settings_variants_addons_sw_bifit_online_statuses_refund()
{
    return fn_get_simple_statuses(STATUSES_ORDER);
}

/*
* currency
*/
function fn_settings_variants_addons_sw_bifit_online_currency()
{
    $result = array();
    $currencies = fn_get_currencies_list();

    foreach ($currencies as $code => $item) {
        $result[$code] = $item['description'];
    }

    return $result;
}

/*
* TAX sistem
*/
function fn_settings_variants_addons_sw_bifit_online_sno()
{
    $result = array();
    $schema = fn_get_schema('sw_bifit_online', 'sno');

    foreach ($schema as $key => $item) {
        $result[$key] = $item['name'];
    }

    return $result;
}

/*
* CalculationMethod
*/
function fn_settings_variants_addons_sw_bifit_online_method()
{
    $result = array();
    $schema = fn_get_schema('sw_bifit_online', 'method');

    foreach ($schema as $key => $item) {
        $result[$key] = $item['name'];
    }

    return $result;
}

/*
* vat
*/
function fn_settings_variants_addons_sw_bifit_online_vat()
{
    $result = array();
    $schema = fn_get_schema('sw_bifit_online', 'vat');

    foreach ($schema as $key => $item) {
        $result[$key] = $item['name'];
    }

    return $result;
}

/*
* PaymentSubject
*/
function fn_settings_variants_addons_sw_bifit_online_subject()
{
    $result = array();
    $schema = fn_get_schema('sw_bifit_online', 'subject');

    foreach ($schema as $key => $item) {
        $result[$key] = $item['name'];
    }

    return $result;
}